XMLCollectionAccess
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.porttypes.wsdaix

## Class XMLCollectionAccess

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.collector.impl.porttypes.wsdaix.XMLCollectionAccess

-     public class XMLCollectionAccess
      extends GCUBEPortType

  Implementation of the WS-DAIX XMLCollectionAccess port type
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLCollectionAccess()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddDocumentsResponse` | `addDocuments(AddDocumentsRequest addDocumentsRequest)` Implementation of CollectionAccess::AddDocuments
    `AddSchemaResponse` | `addSchema(AddSchemaRequest addSchemaRequest)` Implementation of CollectionAccess::addSchema
    `CreateSubcollectionResponse` | `createSubcollection(CreateSubcollectionRequest createSubcollectionRequest)` Implementation of CollectionAccess::createSubCollection
    `XMLCollectionPropertyDocumentType` | `getCollectionPropertyDocument(GetDataResourcePropertyDocumentRequest request)` Implementation of CollectionAccess::getCollectionPropertyDocument
    `GetDocumentsResponse` | `getDocuments(GetDocumentsRequest getDocumentsRequest)` Implementation of CollectionAccess::GetDocuments
    `GetSchemaResponse` | `getSchema(GetSchemaRequest getSchemaRequest)` Implementation of CollectionAccess::removeSchema
    `RemoveDocumentsResponse` | `removeDocuments(RemoveDocumentsRequest removeDocumentsRequest)` Implementation of CollectionAccess::RemoveDocuments
    `RemoveSchemaResponse` | `removeSchema(RemoveSchemaRequest removeSchemaRequest)` Implementation of CollectionAccess::getSchema
    `RemoveSubcollectionResponse` | `removeSubcollection(RemoveSubcollectionRequest removeSubcollectionRequest)` Implementation of CollectionAccess::removeSubcollection

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLCollectionAccess

          public XMLCollectionAccess()

  - ### Method Detail

    - #### getDocuments

          public GetDocumentsResponse getDocuments(GetDocumentsRequest getDocumentsRequest)
                                            throws java.rmi.RemoteException,
                                                   ServiceBusyFaultType,
                                                   InvalidResourceNameFaultType,
                                                   InvalidCollectionNameFaultType

      Implementation of CollectionAccess::GetDocuments
      Parameters:
        `getDocumentsRequest` -
      Returns:
      Throws:
        `java.rmi.RemoteException`
        `ServiceBusyFaultType` - the service is already processing a request and ConcurrentAccess is false.
        `InvalidResourceNameFaultType` - the supplied resource name is not known to the service.
        `InvalidCollectionNameFaultType` - the supplied collection name is not known to the XML resource.

    - #### addDocuments

          public AddDocumentsResponse addDocuments(AddDocumentsRequest addDocumentsRequest)
                                            throws java.rmi.RemoteException,
                                                   ServiceBusyFaultType,
                                                   InvalidResourceNameFaultType,
                                                   InvalidCollectionNameFaultType

      Implementation of CollectionAccess::AddDocuments
      Parameters:
        `addDocumentsRequest` -
      Returns:
        the documents response
      Throws:
        `java.rmi.RemoteException`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`

    - #### removeDocuments

          public RemoveDocumentsResponse removeDocuments(RemoveDocumentsRequest removeDocumentsRequest)
                                                  throws java.rmi.RemoteException,
                                                         ServiceBusyFaultType,
                                                         InvalidResourceNameFaultType,
                                                         InvalidCollectionNameFaultType

      Implementation of CollectionAccess::RemoveDocuments
      Parameters:
        `removeDocumentsRequest` -
      Returns:
      Throws:
        `java.rmi.RemoteException`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`

    - #### createSubcollection

          public CreateSubcollectionResponse createSubcollection(CreateSubcollectionRequest createSubcollectionRequest)
                                                          throws java.rmi.RemoteException,
                                                                 CollectionAlreadyExistsFaultType,
                                                                 ServiceBusyFaultType,
                                                                 InvalidResourceNameFaultType,
                                                                 InvalidCollectionNameFaultType,
                                                                 NotAuthorizedFaultType,
                                                                 DataResourceUnavailableFaultType

      Implementation of CollectionAccess::createSubCollection
      Parameters:
        `createSubcollectionRequest` - DataResourceAbstractName the abstract name of the data resource to which the message is directed. CollectionName an OPTIONAL parameter that contains the URI of the collection to which the subcollection will be added. If no collection name is provided the top level collection is assumed. SubcollectionName the URI of the new subcollection.
      Returns:
        the response always indicates success. In error conditions a fault is returned
      Throws:
        `java.rmi.RemoteException` - a generic exception not included in any fault
        `CollectionAlreadyExistsFaultType` - The subcollection name specified already exists in the collection specified.
        `ServiceBusyFaultType` - the service is already processing a request and ConcurrentAccess is false.
        `InvalidResourceNameFaultType` - the supplied resource name is not known to the service.
        `InvalidCollectionNameFaultType` - the supplied collection name is not known to the XML resource.
        `NotAuthorizedFaultType` - the consumer is not authorized to perform this operation at this time.
        `DataResourceUnavailableFaultType` - the specified data resource is unavailable.

    - #### removeSubcollection

          public RemoveSubcollectionResponse removeSubcollection(RemoveSubcollectionRequest removeSubcollectionRequest)
                                                          throws java.rmi.RemoteException,
                                                                 ServiceBusyFaultType,
                                                                 InvalidResourceNameFaultType,
                                                                 InvalidCollectionNameFaultType,
                                                                 NotAuthorizedFaultType,
                                                                 DataResourceUnavailableFaultType

      Implementation of CollectionAccess::removeSubcollection
      Parameters:
        `removeSubcollectionRequest` -
      Returns:
        the response always indicates success. In error conditions a fault is returned.
      Throws:
        `java.rmi.RemoteException` - a generic exception not included in any fault
        `ServiceBusyFaultType` - the service is already processing a request and ConcurrentAccess is false.
        `InvalidResourceNameFaultType` - the supplied resource name is not known to the service.
        `InvalidCollectionNameFaultType` - the supplied collection name is not known to the XML resource.
        `NotAuthorizedFaultType` - the consumer is not authorized to perform this operation at this time.
        `DataResourceUnavailableFaultType` - the specified data resource is unavailable.

    - #### addSchema

          public AddSchemaResponse addSchema(AddSchemaRequest addSchemaRequest)
                                      throws SchemaInvalidFaultType,
                                             DataResourceUnavailableFaultType,
                                             ServiceBusyFaultType,
                                             SchemaAdditionMakesDocumentsInvalidFaultType,
                                             InvalidResourceNameFaultType,
                                             InvalidCollectionNameFaultType,
                                             SchemaAlreadyExistsFaultType,
                                             NotAuthorizedFaultType

      Implementation of CollectionAccess::addSchema
      Parameters:
        `addSchemaRequest` -
      Returns:
      Throws:
        `SchemaInvalidFaultType`
        `DataResourceUnavailableFaultType`
        `ServiceBusyFaultType`
        `SchemaAdditionMakesDocumentsInvalidFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`
        `SchemaAlreadyExistsFaultType`
        `NotAuthorizedFaultType`

    - #### getSchema

          public GetSchemaResponse getSchema(GetSchemaRequest getSchemaRequest)
                                      throws DataResourceUnavailableFaultType,
                                             ServiceBusyFaultType,
                                             SchemaDoesNotExistFaultType,
                                             InvalidResourceNameFaultType,
                                             InvalidCollectionNameFaultType,
                                             NotAuthorizedFaultType

      Implementation of CollectionAccess::removeSchema
      Parameters:
        `getSchemaRequest` -
      Returns:
      Throws:
        `DataResourceUnavailableFaultType`
        `ServiceBusyFaultType`
        `SchemaDoesNotExistFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`
        `NotAuthorizedFaultType`

    - #### removeSchema

          public RemoveSchemaResponse removeSchema(RemoveSchemaRequest removeSchemaRequest)
                                            throws DataResourceUnavailableFaultType,
                                                   ServiceBusyFaultType,
                                                   SchemaRemovalMakesDocumentsInvalidFaultType,
                                                   SchemaDoesNotExistFaultType,
                                                   InvalidResourceNameFaultType,
                                                   SchemaRemovalMakesSchemaInvalidFaultType,
                                                   InvalidCollectionNameFaultType,
                                                   NotAuthorizedFaultType

      Implementation of CollectionAccess::getSchema
      Parameters:
        `removeSchemaRequest` -
      Returns:
      Throws:
        `DataResourceUnavailableFaultType`
        `ServiceBusyFaultType`
        `SchemaRemovalMakesDocumentsInvalidFaultType`
        `SchemaDoesNotExistFaultType`
        `InvalidResourceNameFaultType`
        `SchemaRemovalMakesSchemaInvalidFaultType`
        `InvalidCollectionNameFaultType`
        `NotAuthorizedFaultType`

    - #### getCollectionPropertyDocument

          public XMLCollectionPropertyDocumentType getCollectionPropertyDocument(GetDataResourcePropertyDocumentRequest request)
                                                                          throws DataResourceUnavailableFaultType,
                                                                                 ServiceBusyFaultType,
                                                                                 InvalidResourceNameFaultType,
                                                                                 NotAuthorizedFaultType

      Implementation of CollectionAccess::getCollectionPropertyDocument
      Parameters:
        `request` -
      Returns:
      Throws:
        `DataResourceUnavailableFaultType`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `NotAuthorizedFaultType`